%!TEX root=../thesis.tex
%!TEX file=tables/gaussian-quadrature.tex

% #1 = input table
% #2 = input column
% #3 = output table
% #4 = output column
\newcommand{\copycolumn}[4]{%
\pgfplotstablecreatecol[%
    col sep=comma,%
    create col/copy column from table={#1}{#2},%
  ]{#4}{#3}%
}
\pgfplotstablenew[%
    % Columns available
    columns={point},%
    % And created columns
    create on use/point/.style={%
      create col/set list={%
        1,%
        2,%
        3,%
        4,%
        5,%
      },%
    },%
  ]{5}{\output}

% Read tables
\pgfplotstableread[%
  col sep=comma,%
]{data/gaussquadrature/n1.dat}\intermediatetable
\copycolumn{\intermediatetable}{abscissae}{\output}{abscissae-1}
\copycolumn{\intermediatetable}{weight}{\output}{weight-1}
% \pgfplotstabletranspose[%
%     colnames from={point},%
%     input colnames to={point},%
%   ]{\output}{\output}%

% N = 2
\pgfplotstableread[%
  col sep=comma,%
]{data/gaussquadrature/n2.dat}\intermediatetable
\copycolumn{\intermediatetable}{abscissae}{\output}{abscissae-2}
\copycolumn{\intermediatetable}{weight}{\output}{weight-2}
% \pgfplotstabletranspose[%
%     colnames from={point},%
%     input colnames to={point},%
%   ]{\intermediatetable}{\intermediatetable}%
% \pgfplotstablevertcat{\output}{\intermediatetable}

% N = 3
\pgfplotstableread[%
  col sep=comma,%
]{data/gaussquadrature/n3.dat}\intermediatetable
\copycolumn{\intermediatetable}{abscissae}{\output}{abscissae-3}
\copycolumn{\intermediatetable}{weight}{\output}{weight-3}
% \pgfplotstabletranspose[%
%     colnames from={point},%
%     input colnames to={point},%
%   ]{\intermediatetable}{\intermediatetable}%
% \pgfplotstablevertcat{\output}{\intermediatetable}

% N = 4
\pgfplotstableread[%
  col sep=comma,%
]{data/gaussquadrature/n4.dat}\intermediatetable
\copycolumn{\intermediatetable}{abscissae}{\output}{abscissae-4}
\copycolumn{\intermediatetable}{weight}{\output}{weight-4}
% \pgfplotstabletranspose[%
%     colnames from={point},%
%     input colnames to={point},%
%   ]{\intermediatetable}{\intermediatetable}%
% \pgfplotstablevertcat{\output}{\intermediatetable}

% N = 5
\pgfplotstableread[%
  col sep=comma,%
]{data/gaussquadrature/n5.dat}\intermediatetable
\copycolumn{\intermediatetable}{abscissae}{\output}{abscissae-5}
\copycolumn{\intermediatetable}{weight}{\output}{weight-5}
% \pgfplotstabletranspose[%
%     colnames from={point},%
%     input colnames to={point},%
%   ]{\intermediatetable}{\intermediatetable}%
% \pgfplotstablevertcat{\output}{\intermediatetable}

\pgfplotstabletypeset[%
    string type,%
    every head row/.style={%
      before row={%
        \toprule
        \text{Point} %
          & \multicolumn{2}{c}{$\nquadraturepoints = 1$}
          & \multicolumn{2}{c}{$\nquadraturepoints = 2$}
          & \multicolumn{2}{c}{$\nquadraturepoints = 3$}
          & \multicolumn{2}{c}{$\nquadraturepoints = 4$}
          & \multicolumn{2}{c}{$\nquadraturepoints = 5$}
        \\
      },%
      after row={%
        \midrule%
      },%
    },%
    columns/point/.style={%
      string type,%
      column name={\loopindex},%
      column type={B},%
    },%
    column abscissae/.style={%
      string type,%
      column type={S[table-format=1.3]},%
    },%
    column weight/.style={%
      string type,%
      column type={S[table-format=1.3]},%
    },%
    columns/abscissae-1/.style={%
      column abscissae,%
      column name={{$x_{\loopindex}$}},%
    },%
    columns/abscissae-2/.style={%
      column abscissae,%
      column name={{$x_{\loopindex}$}},%
    },%
    columns/abscissae-3/.style={%
      column abscissae,%
      column name={{$x_{\loopindex}$}},%
    },%
    columns/abscissae-4/.style={%
      column abscissae,%
      column name={{$x_{\loopindex}$}},%
    },%
    columns/abscissae-5/.style={%
      column abscissae,%
      column name={{$x_{\loopindex}$}},%
    },%
    columns/weight-1/.style={%
      column weight,%
      column name={{$w_{\loopindex}$}},%
    },%
    columns/weight-2/.style={%
      column weight,%
      column name={{$w_{\loopindex}$}},%
    },%
    columns/weight-3/.style={%
      column weight,%
      column name={{$w_{\loopindex}$}},%
    },%
    columns/weight-4/.style={%
      column weight,%
      column name={{$w_{\loopindex}$}},%
    },%
    columns/weight-5/.style={%
      column weight,%
      column name={{$w_{\loopindex}$}},%
    },%
  ]{\output}



% \pgfplotstabletranspose[%
%     colnames from={point},%
%     input colnames to={point},%
%   ]{\output}{\output}%

% \pgfplotstabletypeset[%
%     string type,%
%     columns/point/.style={%
%       string type,%
%       column name={\text{Point}},%
%       column type={N},%
%     },%
%     column point/.style={%
%       string type,%
%       column type={S},%
%     },%
%     columns/point/.style={%
%       string type,%
%       column type={l},%
%       string replace={abscissae-1}{$x_{\loopindex}$},%
%       string replace={abscissae-2}{$x_{\loopindex}$},%
%       string replace={abscissae-3}{$x_{\loopindex}$},%
%       string replace={abscissae-4}{$x_{\loopindex}$},%
%       string replace={abscissae-5}{$x_{\loopindex}$},%
%       string replace={weight-1}{$w_{\loopindex}$},%
%       string replace={weight-2}{$w_{\loopindex}$},%
%       string replace={weight-3}{$w_{\loopindex}$},%
%       string replace={weight-4}{$w_{\loopindex}$},%
%       string replace={weight-5}{$w_{\loopindex}$},%
%     },%
%     columns/1/.style={%
%       column point,%
%     },%
%     columns/2/.style={%
%       column point,%
%     },%
%     columns/3/.style={%
%       column point,%
%     },%
%     columns/4/.style={%
%       column point,%
%     },%
%     columns/5/.style={%
%       column point,%
%     },%
%   ]{\output}
